%define upstream_name    Parse-PMFile
%define upstream_version 0.40

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Parses .pm file as PAUSE does
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dumpvalue)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker::CPANfile)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(JSON::PP)
BuildRequires: perl(Safe)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildArch: noarch

%description
The most of the code of this module is taken from the PAUSE code as of
April 2013 almost verbatim. Thus, the heart of this module should be quite
stable. However, I made it not to use pipe ("-|") as well as I stripped
database-related code. If you encounter any issue, that's most probably
because of my modification.

This module doesn't provide features to extract a distribution or parse
meta files intentionally.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README META.json Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.400.0-2.mga6
+ Revision: 1031741
- Rebuild for perl 5.22.2

* Fri Apr 29 2016 shlomif <shlomif> 0.400.0-1.mga6
+ Revision: 1007789
- Missing BR
- imported package perl-Parse-PMFile


* Fri Apr 29 2016 cpan2dist 0.40-1mga
- initial mageia release, generated with cpan2dist
